import { TreeSelectionChange as TreeSelectionChange_internal } from "./TreeSelectionChange";
var IgrTreeSelectionChange = /** @class */ /*@__PURE__*/ (function () {
    function IgrTreeSelectionChange() {
        this.mounted = false;
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    }
    IgrTreeSelectionChange.prototype.createImplementation = function () {
        return new TreeSelectionChange_internal();
    };
    Object.defineProperty(IgrTreeSelectionChange.prototype, "i", {
        /**
         * @hidden
         */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    IgrTreeSelectionChange.prototype.onImplementationCreated = function () {
    };
    IgrTreeSelectionChange.prototype._provideImplementation = function (i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    };
    IgrTreeSelectionChange.prototype.findByName = function (name) {
        if (this.findEphemera) {
            if (name && name.indexOf("@@e:") == 0) {
                return this.findEphemera(name);
            }
        }
        return null;
    };
    return IgrTreeSelectionChange;
}());
export { IgrTreeSelectionChange };
