import { BaseElement } from "./BaseElement";
import { WCNativeHelper } from "./WCNativeHelper";
import { Type } from "igniteui-react-core";
import { TextareaAutocapitalize } from "./TextareaAutocapitalize";
import { TextareaInputMode } from "./TextareaInputMode";
import { TextareaResize } from "./TextareaResize";
import { TextareaWrap } from "./TextareaWrap";
import { ComponentValueChangedEventArgs } from "./ComponentValueChangedEventArgs";
import { VoidEventArgs } from "./VoidEventArgs";
import { TextareaDirection } from "./TextareaDirection";
import { TextareaSelectMode } from "./TextareaSelectMode";
/**
 * @hidden
 */
export declare class Textarea extends BaseElement {
    static $t: Type;
    private i;
    protected get j(): WCNativeHelper;
    private t;
    protected get nativeElement(): any;
    protected set nativeElement(a: any);
    setNativeElement(a: any): void;
    get v(): string;
    set v(a: string);
    get c(): TextareaAutocapitalize;
    set c(a: TextareaAutocapitalize);
    get d(): TextareaInputMode;
    set d(a: TextareaInputMode);
    get w(): string;
    set w(a: string);
    get q(): number;
    set q(a: number);
    get r(): number;
    set r(a: number);
    get m(): boolean;
    set m(a: boolean);
    get y(): string;
    set y(a: string);
    get n(): boolean;
    set n(a: boolean);
    get e(): TextareaResize;
    set e(a: TextareaResize);
    get s(): number;
    set s(a: number);
    get z(): string;
    set z(a: string);
    get p(): boolean;
    set p(a: boolean);
    get f(): TextareaWrap;
    set f(a: TextareaWrap);
    get k(): boolean;
    set k(a: boolean);
    get o(): boolean;
    set o(a: boolean);
    get x(): string;
    set x(a: string);
    get l(): boolean;
    set l(a: boolean);
    input: (sender: any, args: ComponentValueChangedEventArgs) => void;
    inputChanged(): void;
    change: (sender: any, args: ComponentValueChangedEventArgs) => void;
    changeChanged(): void;
    focus: (sender: any, args: VoidEventArgs) => void;
    focusChanged(): void;
    blur: (sender: any, args: VoidEventArgs) => void;
    blurChanged(): void;
    ad(): void;
    ae(): void;
    ai(): void;
    am(a: number, b: number, c: TextareaDirection): void;
    al(a: string, b: number, c: number, d: TextareaSelectMode): void;
    ah(): void;
    ac(): void;
    aj(a: string): void;
}
