import { IgrDockManagerPane } from "./igr-dock-manager-pane";
import { SplitPaneOrientation } from "./SplitPaneOrientation";
import { SplitterResizeEventArgs as SplitterResizeEventArgs_internal } from "./SplitterResizeEventArgs";
import { ContentChildrenManager } from "igniteui-react-core";
export declare class IgrSplitterResizeEventArgs {
    protected createImplementation(): SplitterResizeEventArgs_internal;
    protected _implementation: any;
    protected mounted: boolean;
    /**
     * @hidden
     */
    get i(): SplitterResizeEventArgs_internal;
    protected onImplementationCreated(): void;
    protected _contentChildrenManager: ContentChildrenManager;
    constructor();
    protected _provideImplementation(i: any): void;
    /**
     * Gets the pane being resized with the splitter.
    */
    get pane(): IgrDockManagerPane;
    set pane(v: IgrDockManagerPane);
    /**
     * Gets the pane's orientation.
    */
    get orientation(): SplitPaneOrientation;
    set orientation(v: SplitPaneOrientation);
    /**
     * Gets the pane's width.
    */
    get paneWidth(): number;
    set paneWidth(v: number);
    /**
     * Gets the pane's height.
    */
    get paneHeight(): number;
    set paneHeight(v: number);
}
