/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { BaseElement } from "./BaseElement";
import { WCNativeHelper } from "./WCNativeHelper";
import { enumGetBox, EnumUtil, markType } from "igniteui-react-core";
import { BaseAlertLikePosition_$type } from "./BaseAlertLikePosition";
/**
 * @hidden
 */
export let BaseAlertLike = /*@__PURE__*/ (() => {
    class BaseAlertLike extends BaseElement {
        constructor() {
            super(...arguments);
            this.b = new WCNativeHelper();
            this.g = null;
        }
        get c() {
            return this.b;
        }
        get nativeElement() {
            return this.g;
        }
        set nativeElement(a) {
            this.g = a;
            this.b.o = this.g;
        }
        setNativeElement(a) {
            this.nativeElement = a;
        }
        get e() {
            let ret_ = this.c.n("open");
            return ret_;
        }
        set e(a) {
            let value_ = a;
            this.c.v("open", value_);
        }
        get f() {
            let ret_ = this.c.n("displayTime");
            return ret_;
        }
        set f(a) {
            let value_ = a;
            this.c.v("displayTime", value_);
        }
        get d() {
            let ret_ = this.c.n("keepOpen");
            return ret_;
        }
        set d(a) {
            let value_ = a;
            this.c.v("keepOpen", value_);
        }
        get a() {
            let ret_ = this.c.n("position");
            if ((ret_ === undefined && this.___rawMode)) {
                return undefined;
            }
            ret_ = enumGetBox(BaseAlertLikePosition_$type, EnumUtil.getEnumValue(BaseAlertLikePosition_$type, this.c.f(BaseAlertLikePosition_$type, ret_)));
            return EnumUtil.getEnumValue(BaseAlertLikePosition_$type, ret_);
        }
        set a(a) {
            let value_ = enumGetBox(BaseAlertLikePosition_$type, a);
            value_ = WCNativeHelper.camel(value_.toString());
            this.c.v("position", value_);
        }
        k() {
            this.nativeElement.show();
        }
        i() {
            this.nativeElement.hide();
        }
        l() {
            this.nativeElement.toggle();
        }
    }
    BaseAlertLike.$t = /*@__PURE__*/ markType(BaseAlertLike, 'BaseAlertLike', BaseElement.$);
    return BaseAlertLike;
})();
