import { BaseElement } from "./BaseElement";
import { WCNativeHelper } from "./WCNativeHelper";
import { Type } from "igniteui-react-core";
import { SizableComponentSize } from "./SizableComponentSize";
import { ComponentValueChangedEventArgs } from "./ComponentValueChangedEventArgs";
import { VoidEventArgs } from "./VoidEventArgs";
import { FocusOptions } from "./FocusOptions";
import { InputBaseDirection } from "./InputBaseDirection";
import { InputBaseSelectMode } from "./InputBaseSelectMode";
/**
 * @hidden
 */
export declare abstract class InputBase extends BaseElement {
    static $t: Type;
    private f;
    protected get g(): WCNativeHelper;
    private n;
    protected get nativeElement(): any;
    protected set nativeElement(a: any);
    setNativeElement(a: any): void;
    get j(): boolean;
    set j(a: boolean);
    get l(): boolean;
    set l(a: boolean);
    get k(): boolean;
    set k(a: boolean);
    get r(): string;
    set r(a: string);
    get p(): string;
    set p(a: string);
    get c(): SizableComponentSize;
    set c(a: SizableComponentSize);
    get h(): boolean;
    set h(a: boolean);
    get m(): boolean;
    set m(a: boolean);
    get q(): string;
    set q(a: string);
    get i(): boolean;
    set i(a: boolean);
    private static __marshalByValueIgnore;
    inputOcurred: (sender: any, args: ComponentValueChangedEventArgs) => void;
    inputOcurredChanged(): void;
    focus: (sender: any, args: VoidEventArgs) => void;
    focusChanged(): void;
    blur: (sender: any, args: VoidEventArgs) => void;
    blurChanged(): void;
    v(): void;
    w(): void;
    y(a: FocusOptions): void;
    t(): void;
    ae(a: number, b: number, c: InputBaseDirection): void;
    ad(a: string, b: number, c: number, d: InputBaseSelectMode): void;
    aa(): void;
    u(): void;
    ab(a: string): void;
}
